include:
  - local: 'gitlab-ci-template.yml'
  - local: 'gitlab-ci-script.yml'

stages:
  - docker-push
  - deploy

docker-push-ecr:
  stage: docker-push
  extends: '.docker-build'
  rules: !reference [".rules:run:cd:ecr", "rules"]

docker-push-docker-hub:
  stage: docker-push
  extends: '.docker-build'
  rules: !reference [".rules:run:cd:dockerhub", "rules"]

deploy:
  cache: []
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  stage: deploy
  script: 
    - echo "trigger"
